{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
  flags = currentMachine.configurationFlags;
in

mkIf true {

# puur que ça marche
# sudo rmmod dvb_usb_rtl28xxu

  # Paquets
  environment.systemPackages = with pkgs; [
    gnss-sdr    # Global Navigation Satellite Systems software-defined receiver
    #gnuradio    # Software Defined Radio (SDR) software
    #gnuradio-osmosdr  # Gnuradio block for OsmoSDR and rtl-sdr
    gnuradio-with-packages
    gqrx          # GUI
    inspectrum    # Tool for analysing captured signals from sdr receivers
    kalibrate-rtl # Calculate local oscillator frequency offset in RTL-SDR devices
    rtl-sdr       # Turns your Realtek RTL2832 based DVB dongle into a SDR receiver


    # Inutile
    #hackrf        # An open source SDR platform

  ];

  nixpkgs.config.packageOverrides = pkgs: {
    gnuradio-with-packages = pkgs.gnuradio-with-packages.override {
      extraPackages = with pkgs; [
        gnuradio-ais
        gnuradio-gsm
        gnuradio-nacl
        gnuradio-osmosdr
        gnuradio-rds
      ];
    };
  };
}
